PIPEWALKER(6)

NAME
pipewalker - combination puzzle game

SYNOPSIS
pipewalker [-help] [-version] [-id=LEVEL] [-wrap=WRAP] [-size=SIZE]

DESCRIPTION
pipewalker is a puzzle game in which you need to combine the components into a single circuit: connect all computers to a network server, bring water to the taps, etc.

OPTIONS

-help
    Show help information.

-version
    Show version information.

-id=LEVEL
    Start the level with the specified ID (a number from 1 up to 99999999).

-wrap=WRAP
    Set wrap mode (0: disable, 1: enable). Default: 1.

-size=SIZE
    Set level map size (small, normal, big or extra). Default: normal.

FILES
/usr/share/games/pipewalker/

    Data directory for pipewalker themes.

/usr/share/doc/pipewalker/examples/scheme.png

    Template file for pipewalker themes.

NOTES
pipewalker supports various themes. Themes are stored as a set of textures in a PNG file. All themes must be 512x448 pixels in size, and comply to the template provided on the project homepage (http://pipewalker.sourceforge.net/themes/scheme.png). On Debian systems, the template can be found in /usr/share/doc/pipewalker/examples/scheme.png.

To add a new theme, copy the PNG file to the /usr/share/games/pipewalker data directory. The file name is used as the theme name.

EXAMPLE
To start pipewalker on the level 1234, with wrap mode disabled, and using big as the level map size:

    $ pipewalker -id=1234 -wrap=0 -size=big

AUTHORS
pipewalker was written by Artem Senichev <artemsen@gmail.com>.

This manual page was written by David da Silva Polverari <david.polverari@gmail.com> for the Debian project (but may be used by others).